.motif-header {
  background-image: linear-gradient(rgba(0, 0, 0, 0.6), rgba(0, 0, 0, 0.6)),
    url("/images/Still\ shots/20240822_100642.jpg");
  height: 50vh !important;
  min-height: 20em !important;
}

#motif-library {
  margin: 0;
  display: flex;
  flex-wrap: wrap;
  align-items: flex-start;
  background-color: #fff;
}
#motif-library h4{
  color: #040505;
  text-align: center;
}
.filter-sidebar-toggle {
  display: none;
  width: 100%;
  background-color: #fff;
  padding: 15px;
  text-align: left;
  font-size: 16px;
  cursor: pointer;
  /*display: flex;*/
  align-items: center;
  gap: 8px;
}
.filter-sidebar-toggle:hover {
  color: white;
  background: white;
}
.filter-sidebar-toggle i {
  font-size: 18px;
  margin-right: 6px;
}

.filter-sidebar {
  margin:1px;
  width: 250px;
  padding: 20px;
  background-color: #fff;
  height: 100vh;
  position: sticky;
  top: 0;
  overflow-y: auto;
  box-sizing: border-box;
}

.filter-sidebar h3 {
  margin-top: 0;
}

.filter-group {
  margin-top: 20px;
}

.filter-group label {
  display: block;
  margin-bottom: 8px;
  font-size: 15px;
}

.filter-group input {
  appearance: checkbox;
}
.motif-container {
  flex: 1;
  padding: 20px;
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(250px, 1fr));
  gap: 20px;
  align-items: baseline;
}

.motif-container.is-filtering {
  filter: blur(3px);
  opacity: 0.5;
  pointer-events: none;
  transition: all 0.1s ease-in-out;
}
.filter-group-title {
  margin: 10px 0 5px;
  font-size: 18px;

  color: #c09019;
}

.filter-divider {
  border: none;
  border-top: 1px solid #ddd;
  margin: 15px 0;
  top:0;
}
.motif-card {
  background-color: rgba(255, 255, 255, 0);
  overflow: hidden;
  transform: translateY(20px);
  opacity: 0;
  transition: transform 0.3s ease, opacity 0.3s ease;
}

.motif-card.active {
  transform: translateY(0);
  opacity: 1;
}

.motif-card:hover {
  transform: translateY(-5px);
}

.motif-card img {
  width: 100%;
  height: 350px;
  object-fit: cover;
}

.motif-card .info {
  padding: 15px;
}

@media (max-width: 768px) {
  #heading-title {
    font-size: 24px;
    color: #c09019;
  }
  #filter-label {
    display: none;
  }
  .filter-sidebar-toggle {
    display: block;
  }

  .filter-sidebar {
    max-height: 0;
    opacity: 0;
    overflow: hidden;
    transition: max-height 0.4s ease, opacity 0.3s ease, padding 0.3s ease;
    padding: 0 20px;
  }

  .filter-sidebar.open {
    max-height: 300px; /* make sure this is tall enough */
    opacity: 1;
    padding: 0 20px;
  }
}ont-size: 24px;
  font-weight: 400;
  margin: 0;
  padding: 0.8em 56px 0.8em 27px;
}
[data-ml-modal] .modal-content {
  background: #fff;
  padding: 23px 27px;
  width: 100%;
  text-align: center;
  img {
    max-width: 400px;
    float: left;
  }
}
[data-ml-modal] .modal-close {
  position: absolute;
  top: 13px;
  right: 13px;
  color: #000000;
  background-color: #fff;
  border-radius: 50%;
  height: 40px;
  width: 40px;
  font-size: 30px;
  line-height: 37px;
  text-align: center;
  -webkit-transition: all 0.3s ease-in-out;
  transition: all 0.3s ease-in-out;
}
[data-ml-modal] .modal-close:hover {
  background-color: #c1ae31;
  color: #fff;
  cursor: pointer;
}
[data-ml-modal] p:first-child,
[data-ml-modal] p:last-child {
  margin: 0;
}
@media (max-width: 767px) {
  [data-ml-modal] .modal-dialog {
    margin: 20% auto;
  }
  [data-ml-modal] .modal-content {
    img {
      float: none;
      max-width: 250px;
    }
  }
}

/* Responsive behavior for different screen sizes */
@media screen and (max-width: 1024px) {
  .grid-sizer,
  .grid-item {
    width: 50%; /* 2 per row for tablets */
  }
}

@media screen and (max-width: 768px) {
  .grid-sizer,
  .grid-item {
    width: 100%; /* 1 per row for mobile */
  }
}
